Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Robert Pluim <[email-masked]>
Date: Fri, 01 Apr 2022 10:49:21 +0200

>>>>> On Fri, 01 Apr 2022 08:38:10 +0530, Visuwesh <[email-masked]> said:

    Visuwesh> [வெள்ளி ஏப்ரல் 01, 2022] Visuwesh wrote:
    >> [வியாழன் மார்ச் 31, 2022] Robert Pluim wrote:
    >> 
    >>> Iʼve tried here with Noto Serif Tamil and canʼt reproduce it, but Iʼm
    >>> only on harfbuzz 3.7.4. I think I have a box somewhere with 4.1.0,
    >>> Iʼll try there.
    >>> 
    >> 
    >> I've only tried on versions lower than yours.  I will try a newer
    >> version than what's in nixpkgs, and report back.
    >> 

    Visuwesh> I can reproduce it in HarfBuzz 4.2.0.  Maybe this could be related to
    Visuwesh> the toolkit being used?  I have only tested so far with Lucid.  I will
    Visuwesh> try GTK some time later.

Iʼve managed to reproduce this, but only once, with HarfBuzz 4.2.0
using lucid and Kurinto Seri. I guess that points more at HarfBuzz
than at Emacs, but maybe the lucid build is doing things slightly
differently to gtk.

Robert
--